Skip to main content
GET
Get a report on participants added to flow

Authorizations

Authorization
string
header
default:App
required

This is the most secure authorization type and the one with the most flexibility.

API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.

You can manage your API keys from GUI, or programmatically with dedicated API.

API key Authorization header example:

Path Parameters

campaignId
integer<int64>
required

Unique identifier of the flow that participant will be added to.

Query Parameters

operationId
string
required

Unique identifier of the operation.

applicationId
string
entityId
string

Response

OK

Summary of processing status for participants in a given operation.

operationId
string
required

Unique identifier of the operation.

Example:

"03f2d474-0508-46bf-9f3d-d8e2c28adaea"

campaignId
integer<int64>
required

Unique identifier of the flow campaign.

Example:

200000000000001

participants
AddFlowParticipantResult · object[]
required

Array with information about each participant submitted for the operation.

callbackData
string | null

Additional data will be passed in the request to your callback server along with the operation results report.